IOSS 2.0

Public Member Functions | Private Attributes | Friends | List of all members
Iohb::Layout Class Reference

`#include <Iohb_Layout.h>`

## Public Member Functions
| Layout (bool show_labels, int precision, std::string separator, int field_width)
| Layout (const Layout &)=delete
Layout & | operator= (const Layout &)=delete
| ~Layout ()
void | add_literal (const std::string &label)
void | add_legend (const std::string &label)
void | add (const std::string &name, double value)
void | add (const std::string &name, int value)
void | add (const std::string &name, long value)
void | add (const std::string &name, const std::string &value)
void | add (const std::string &name, std::vector< double > &value)
void | add (const std::string &name, std::vector< int > &value)
void | add (const std::string &name, std::vector< long > &value)
void | add (const std::string &name, std::vector< std::string > &value)

## Private Attributes
std::ostringstream | layout_
std::string | separator_
int | precision_
int | count_
int | fieldWidth_
bool | showLabels
bool | legendStarted

## Friends
std::ostream & | operator<< (std::ostream &, Layout &)

## Constructor & Destructor Documentation

## ◆ Layout() [1/2]

Iohb::Layout::Layout | ( | bool | show_labels,
|  | int | precision,
|  | std::string | separator,
|  | int | field_width
| ) |  |

## ◆ Layout() [2/2]

Iohb::Layout::Layout | ( | const Layout & |  | ) |
| delete

## ◆ ~Layout()

Iohb::Layout::~Layout | ( |  | ) |
| default

## Member Function Documentation

## ◆ add() [1/8]

void Iohb::Layout::add | ( | const std::string & | name,
|  | const std::string & | value
| ) |  |

## ◆ add() [2/8]

void Iohb::Layout::add | ( | const std::string & | name,
|  | double | value
| ) |  |

## ◆ add() [3/8]

void Iohb::Layout::add | ( | const std::string & | name,
|  | int | value
| ) |  |

## ◆ add() [4/8]

void Iohb::Layout::add | ( | const std::string & | name,
|  | long | value
| ) |  |

## ◆ add() [5/8]

void Iohb::Layout::add | ( | const std::string & | name,
|  | std::vector< double > & | value
| ) |  |

## ◆ add() [6/8]

void Iohb::Layout::add | ( | const std::string & | name,
|  | std::vector< int > & | value
| ) |  |

## ◆ add() [7/8]

void Iohb::Layout::add | ( | const std::string & | name,
|  | std::vector< long > & | value
| ) |  |

## ◆ add() [8/8]

void Iohb::Layout::add | ( | const std::string & | name,
|  | std::vector< std::string > & | value
| ) |  |

## ◆ add_legend()

void Iohb::Layout::add_legend | ( | const std::string & | label | ) |

## ◆ add_literal()

void Iohb::Layout::add_literal | ( | const std::string & | label | ) |

## ◆ operator=()

Layout& Iohb::Layout::operator= | ( | const Layout & |  | ) |
| delete

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Layout & | lo
| ) |  |
| friend

## Member Data Documentation

## ◆ count_

int Iohb::Layout::count_
| private

## ◆ fieldWidth_

int Iohb::Layout::fieldWidth_
| private

## ◆ layout_

std::ostringstream Iohb::Layout::layout_
| private

## ◆ legendStarted

bool Iohb::Layout::legendStarted
| private

## ◆ precision_

int Iohb::Layout::precision_
| private

## ◆ separator_

std::string Iohb::Layout::separator_
| private

## ◆ showLabels

bool Iohb::Layout::showLabels
| private

The documentation for this class was generated from the following files:

- src/heartbeat/Iohb_Layout.h
- src/heartbeat/Iohb_Layout.C